[synchro et MAJ] le point sur le repo

annonces et demandes de paquetages pour les dépôts i686 et x86_64
Répondre
Avatar de l’utilisateur
mightyjaym
yeomen
Messages : 296
Inscription : dim. 18 nov. 2007, 19:34
Localisation : Nîmes, France
Contact :

[synchro et MAJ] le point sur le repo

Message par mightyjaym » mer. 02 avr. 2008, 00:07

Bonsoir !

Ces derniers temps j'ai tenté au maximum de synchroniser les repos i686 et x86_64, en recompilant des PKGBUILDs jusqu'ici uniquement compilés pour i686, en ajoutant des équivalents (ex : les binaires en mode de compatibilité 32 bits, les builds de swiftfox ou swiftdove pour processeurs 64 bits uniquement...) ou encore en complétant des PKGBUILDs avec des instructions spécifiques pour x86_64.

J'en ai profité pour faire le point sur les repos en matière de paquets obsolètes ou présentant des soucis. Je vous livre ici mes conclusions sur les petites choses qu'on pourrait perfectionner tous ensemble si vous le voulez bien ;)

EDIT : désomais, on utilisera cette page du wiki pour suivre les modifications : http://wiki.archlinux.fr/playground:playgroundrepo


Voilà voilà... ce serait sympa si on pouvait utiliser ce post pour discuter de ce qui reste à faire (pour des cas comme wesnoth ou calcurse je n'ai pas toutes les données en main), puis se départager les tâches et cocher ce qu'on fait au fur et à mesure, histoire de finir avec les deux repos synchronisés, propres et à jour.

A vous de voir, j'attends vos suggestions, remarques, critiques etc. Si c'est une initiative à la con vous pouvez le dire hein :D
Dernière modification par mightyjaym le ven. 04 avr. 2008, 23:03, modifié 6 fois.
Mon blog

Desktop : Intel Core 2 Duo E6850, 8 Gb RAM, NVIDIA GeForce 8500 GT, Arch Linux X86_64

Avatar de l’utilisateur
marc[i1]
Maître du Kyudo
Messages : 1753
Inscription : ven. 27 oct. 2006, 10:48
Localisation : Nantes (44)
Contact :

Re: [synchro et MAJ] le point sur le repo

Message par marc[i1] » mer. 02 avr. 2008, 00:35

mightyjaym a écrit :Bonsoir !
1. Les packages à mettre à jour
Sur les deux dépôts :
archassistant-0.3-2 - à mettre à jour vers 0.3-3 (dispo sur AUR)
Zobi !
le PKGBUILD de AUR est naze, faut pas te fier au numéro de maintenance.
mightyjaym a écrit : A compiler pour i686 :
kdedecor-crystal-1.0.5-2
kdedecor-polyester-1.0.2-2
kdestyle-lipstik-2.2.3-3
kdm-theme-lcars-0.4-1
Ouais il faut que je me botte le cul pour uploader les paquetages, promis je fais ça dans la semaine … ou pas ! :D
Ne vous emmerdez plus, emmerdez les autres.

Avatar de l’utilisateur
wain
Maître du Kyudo
Messages : 1854
Inscription : ven. 11 août 2006, 19:15
Localisation : Nancy (54)
Contact :

Message par wain » mer. 02 avr. 2008, 08:31

Pour wesnoth14 il est présent ici en attendant que le package officiel d'extra soit mis à jour. Il disparaîtra ensuite.

Bravo pour ton boulot ! t'es un as :wink:

Avatar de l’utilisateur
mightyjaym
yeomen
Messages : 296
Inscription : dim. 18 nov. 2007, 19:34
Localisation : Nîmes, France
Contact :

Message par mightyjaym » mer. 02 avr. 2008, 09:54

Merci Wain, c'est trop d'honneur :oops:

Bon, j'ai mis à jour le premier post en fonction des infos recueillies ici. Et je vais derechef me remettre à ce que je sais mieux faire : les paquets bin 32 ^^
Mon blog

Desktop : Intel Core 2 Duo E6850, 8 Gb RAM, NVIDIA GeForce 8500 GT, Arch Linux X86_64

Avatar de l’utilisateur
lenglemetz
Chu Ko Nu
Messages : 307
Inscription : dim. 27 mai 2007, 22:26
Localisation : Kamikaze Land
Contact :

Message par lenglemetz » mer. 02 avr. 2008, 10:44

Pas mal ce recapitulatif, je pense qu'il sera bien de mettre ça dans le wiki, ça sera plus facile a la gestion. genre sur cette page http://wiki.archlinux.fr/playground:playgroundrepo -> tien elle est encore vide xD :p

Pour alsa-firmware je m'y colle, quand a limewire c'est volontaire le retrogradage car je reste en stable pas en beta :p
☠ ☠ ☠ ⅛|™ ☠ ☠ ☠ ¬|¬ Born To Be Web ¬|¬ DonF ¬|¬ ☠ ☠ ☠ ®|© > [Thème] Sujet (état) <

Avatar de l’utilisateur
mightyjaym
yeomen
Messages : 296
Inscription : dim. 18 nov. 2007, 19:34
Localisation : Nîmes, France
Contact :

Message par mightyjaym » mer. 02 avr. 2008, 11:04

Ok, post mis à jour et quelques updates 8)

Iscan est désormais dispo pour x86_64, pas besoin de paquet de compatibilité 32 bits, en fait il suffisait de mettre un ./configure spécifique pour que ça se compile en 64 bits. Reste à envoyer cette nouvelle version sur le dépôt i686.

Je vais essayer de transférer tout ça sur le wiki, merci du conseil lenglemetz :)
Mon blog

Desktop : Intel Core 2 Duo E6850, 8 Gb RAM, NVIDIA GeForce 8500 GT, Arch Linux X86_64

Avatar de l’utilisateur
lenglemetz
Chu Ko Nu
Messages : 307
Inscription : dim. 27 mai 2007, 22:26
Localisation : Kamikaze Land
Contact :

Message par lenglemetz » mer. 02 avr. 2008, 11:05

mightyjaym a écrit :Ok, post mis à jour et quelques updates 8)

Iscan est désormais dispo pour x86_64, pas besoin de paquet de compatibilité 32 bits, en fait il suffisait de mettre un ./configure spécifique pour que ça se compile en 64 bits. Reste à envoyer cette nouvelle version sur le dépôt i686.
lenglemetz :)
STOP

avant de balancer iscan test avant que ce soit sur 32 ou 64 bits perso en 64 j'ai jamais reussi a le faire marché et la nouvelle version 32 bug :D alors je veux du test test test si tu balances sinon ¬¬
☠ ☠ ☠ ⅛|™ ☠ ☠ ☠ ¬|¬ Born To Be Web ¬|¬ DonF ¬|¬ ☠ ☠ ☠ ®|© > [Thème] Sujet (état) <

Avatar de l’utilisateur
marc[i1]
Maître du Kyudo
Messages : 1753
Inscription : ven. 27 oct. 2006, 10:48
Localisation : Nantes (44)
Contact :

Message par marc[i1] » mer. 02 avr. 2008, 11:15

Concernant Verbiste, c'est Leif_thande qui suit la maintenance. Vu qu'il est en plein examen, je vais faire la MàJ en i686.
Ne vous emmerdez plus, emmerdez les autres.

Avatar de l’utilisateur
mightyjaym
yeomen
Messages : 296
Inscription : dim. 18 nov. 2007, 19:34
Localisation : Nîmes, France
Contact :

Message par mightyjaym » mer. 02 avr. 2008, 11:29

lenglemetz : arf, je n'ai pas de scanner epson pour le tester... :-/ je me suis basé sur un post trouvé sur le forum ubuntu, où apparemment le gars qui l'a compilé a réussi à le faire marcher sans souci. Tu pourrais le tester pour moi stp ?

La page du wiki est en place : http://wiki.archlinux.fr/playground:playgroundrepo donc. Je mets à jour tout de suite.
Mon blog

Desktop : Intel Core 2 Duo E6850, 8 Gb RAM, NVIDIA GeForce 8500 GT, Arch Linux X86_64

Avatar de l’utilisateur
lenglemetz
Chu Ko Nu
Messages : 307
Inscription : dim. 27 mai 2007, 22:26
Localisation : Kamikaze Land
Contact :

Message par lenglemetz » mer. 02 avr. 2008, 11:37

mightyjaym a écrit :lenglemetz : arf, je n'ai pas de scanner epson pour le tester... :-/ je me suis basé sur un post trouvé sur le forum ubuntu, où apparemment le gars qui l'a compilé a réussi à le faire marcher sans souci. Tu pourrais le tester pour moi stp ?
yep plus touche a iscan je le prend en charge :p, faut avoir le matos pour faire les PKGBUILD sinon ¬¬ il va y avoir de la ralerie
☠ ☠ ☠ ⅛|™ ☠ ☠ ☠ ¬|¬ Born To Be Web ¬|¬ DonF ¬|¬ ☠ ☠ ☠ ®|© > [Thème] Sujet (état) <

Avatar de l’utilisateur
Skunnyk
Maître du Kyudo
Messages : 1120
Inscription : mer. 06 sept. 2006, 21:31
Localisation : IRC
Contact :

Message par Skunnyk » mer. 02 avr. 2008, 16:25

Plop !

Et bien il y en a qui viennent de moi ( a vu d'oeil, xmoto, amsn ), et ils sont en faite a supprimer maintenant ...
Je les upload en général quand le paquet "officiel" tarde à sortir (xmoto 0.4 qui avait mis plus d'une semaine je crois) ou que la mise à jour des librairies casse ces programmes (pour amsn, passage en tcl/tk 8.5 qui avait cassé son fonctionnement ).
Bref, bon travail, ca permettra d'épurer tout ca !

Avatar de l’utilisateur
Tebo
Chu Ko Nu
Messages : 368
Inscription : sam. 17 mars 2007, 23:24

Message par Tebo » mer. 02 avr. 2008, 21:44

( en profiter pour suprimer swiftweasel-BETA3.0b3-prescott-fr, la béta est maintenant dans swiftweasel3-prescott-fr)

Avatar de l’utilisateur
mightyjaym
yeomen
Messages : 296
Inscription : dim. 18 nov. 2007, 19:34
Localisation : Nîmes, France
Contact :

Message par mightyjaym » dim. 27 avr. 2008, 01:43

Est-ce que quelqu'un de charitable et disposant des droits nécéssaires pourrait virer les packages obsolètes/envoyés par erreur qui me sont imputables ? Ils sont détaillés dans "Les paquets obsolètes" du wiki et ils peuvent gêner pour les mises à jour...

Merci d'avance et désolé pour le dérangement :oops: Pour me faire pardonner, je veux bien maintenir toutes les builds de swiftweasel et swiftdove à venir :p
Mon blog

Desktop : Intel Core 2 Duo E6850, 8 Gb RAM, NVIDIA GeForce 8500 GT, Arch Linux X86_64

Avatar de l’utilisateur
wain
Maître du Kyudo
Messages : 1854
Inscription : ven. 11 août 2006, 19:15
Localisation : Nancy (54)
Contact :

Message par wain » dim. 27 avr. 2008, 11:35

oki c'est fait :D

Avatar de l’utilisateur
mightyjaym
yeomen
Messages : 296
Inscription : dim. 18 nov. 2007, 19:34
Localisation : Nîmes, France
Contact :

Message par mightyjaym » dim. 27 avr. 2008, 11:45

Merci beaucoup wain :)
Mon blog

Desktop : Intel Core 2 Duo E6850, 8 Gb RAM, NVIDIA GeForce 8500 GT, Arch Linux X86_64

Avatar de l’utilisateur
mightyjaym
yeomen
Messages : 296
Inscription : dim. 18 nov. 2007, 19:34
Localisation : Nîmes, France
Contact :

Message par mightyjaym » mar. 13 mai 2008, 01:04

J'ai trouvé quelques paquets qui avaient été supprimés du repo i686 mais qui sont demeurées sur le repo x86_64 ; j'ai indiqué tout ça dans le wiki, mais j'ai un doute sur vzctl. Il me semble qu'il est dans le même cas, mais je ne suis pas certain qu'il aie été dispo pour i686...

Sinon, il ne reste plus grand chose à synchroniser entre les repos... :wink:
Mon blog

Desktop : Intel Core 2 Duo E6850, 8 Gb RAM, NVIDIA GeForce 8500 GT, Arch Linux X86_64

Répondre